Carriers
Carriers enabled for your account.
/api/v1/carriersReturns the carriers enabled for your account.
Authorization
ApiKeyAuth Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.
In: header
Query Parameters
Page size. Defaults to a server-chosen value; maximum 100.
1 <= value <= 100Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/carriers"{ "object": "list", "data": [ { "object": "carrier", "id": "string", "name": "string", "scac": "string", "carrier_type": "string", "enabled": true, "logo_url": "string" } ], "has_more": true, "url": "/api/v1/carriers"}/api/v1/carriers/{id}Authorization
ApiKeyAuth Authenticate with your secret API key in the Authorization header: Authorization: Bearer fk_live_.... Use an fk_test_ key to operate against test mode, which never contacts a carrier or moves real freight.
In: header
Path Parameters
Resource identifier.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/carriers/string"{ "object": "carrier", "id": "string", "name": "string", "scac": "string", "carrier_type": "string", "enabled": true, "logo_url": "string"}